@import "./../../common/base.css";

*, *::before, *::after{
  box-sizing: border-box;
}


.masonry-layout{
  columns: 1;

  @media (min-width: 640px) {
    columns: 2;
  }
  @media (min-width: 768px) {
    columns: 3;
  }

  @media (min-width: 1024px) {
    columns: 4;
  }
  
  @media (min-width: 1280px) {
    columns: 5;
  }

  @media (min-width: 1536px) {
    columns: 6;
  }
  
  figure{
    margin: 2rem 0;
    border: 1px solid currentColor;
    padding: 1rem;
    position: relative;

    &:first-child{
      margin-block-start: 0;
    }
  }

  img{
    max-inline-size: 100%;
    display: block;
    filter: sepia();

    &:hover{
      filter: none;
    }
  }

  figcaption{
    background: rgba(0 0 0 /0.5);
    position: absolute;
    padding: 1rem;
    color: #fff;
    /* backdrop-filter: blur(10px); */
    inset-inline: 1rem;
    inset-block-end: 1rem;

  }

}